[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TLazDockForm.Notification

Notification - if the required operation is removal, sets MainControl to nil, then calls inherited Notification

## Declaration

Source position: ldocktree.pas line 133

`protected procedure TLazDockForm.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## See also

TCustomForm.Notification |  | Notification calls inherited Notification then add or removes the component's action list (depending on what Operation specifies)

The latest version of this document can be found at lazarus-ccr.sourceforge.net.